Commit 0aca89ea authored by Leonardo Arena's avatar Leonardo Arena

main/bacula-client: delete standalone package

parent c61a6412
# Contributor: Leonardo Arena <rnalrd@alpinelinux.org>
# Maintainer: Leonardo Arena <rnalrd@alpinelinux.org>
pkgname="bacula-client"
_realname="bacula"
pkgver=5.2.13
pkgrel=6
pkgdesc="Client (File Daemon) of Bacula, a network based backup program"
url="http://www.bacula.org"
arch="all"
license="AGPL3"
depends=""
makedepends="autoconf automake libstdc++ openssl-dev ncurses-dev zlib-dev lzo-dev"
install="$pkgname.pre-install"
subpackages="$pkgname-doc"
pkgusers="bacula"
pkggroups="bacula"
source="http://downloads.sourceforge.net/project/$_realname/$_realname/$pkgver/$_realname-$pkgver.tar.gz
bacula-fd-init
bacula-fd-conf
bacula-5.0.2-config.patch
bacula-5.0.2-openssl.patch
bacula-5.0.3-Makefile.patch
bacula-5.0.3-sqlite-priv.patch
bacula-5.2.3-as-needed.patch
bacula-5.2.3-ldflags.patch
bacula-5.2.3-lib-search-path.patch
configure.in.patch
cxx.patch
os.m4.patch
fix-headers.patch
"
_builddir="$srcdir/$_realname-$pkgver"
prepare () {
cd "$_builddir"
update_config_sub || return 1
for i in $source; do
case $i in
*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
esac
done
cd "$_builddir"/autoconf
autoconf && cp configure ../
}
build() {
cd "$_builddir"
./configure \
--build=$CBUILD \
--host=$CHOST \
--prefix=/usr \
--sysconfdir=/etc/bacula \
--localstatedir=/var \
--mandir=/usr/share/man \
--docdir=/usr/share/doc \
--infodir=/usr/share/info \
--with-pid-dir=/var/run \
--with-subsys-dir=/var/lock/subsys \
--with-logdir=/var/log/bacula \
--enable-largefile \
--enable-client-only \
--enable-smartalloc \
--disable-nls \
--with-openssl=/usr/include/openssl \
--with-scriptdir=/etc/bacula/scripts \
--with-working-dir=/var/lib/bacula \
--with-fd-user=root \
--with-fd-group=root \
|| return 1
make || return 1
}
package() {
cd "$_builddir"
make DESTDIR="$pkgdir" install
install -Dm755 "$srcdir"/bacula-fd-init \
"$pkgdir"/etc/init.d/bacula-fd
install -Dm644 "$srcdir"/bacula-fd-conf \
"$pkgdir"/etc/conf.d/bacula-fd
chown bacula.bacula "$pkgdir"/var/lib/bacula
find "$pkgdir"/usr/lib -iname libbaccats* -type l -delete
}
md5sums="43417bae0c221afb1f30a581c9e0f2fe bacula-5.2.13.tar.gz
38b0fe78acdc5e65aec3a59578e98a20 bacula-fd-init
4500ce2d62bf9df33c07f70dc40f7b85 bacula-fd-conf
71f7f9c041eff045b2e97d141316c059 bacula-5.0.2-config.patch
4e310e84c7aba5b8d043758e0fa0088f bacula-5.0.2-openssl.patch
0ec20df57bb632ed729cfaf5d0a3ee33 bacula-5.0.3-Makefile.patch
9def0e68e3eb2f5f8b4c34108a248efd bacula-5.0.3-sqlite-priv.patch
5fb1ef3f9fae381b64aa3226351f91a5 bacula-5.2.3-as-needed.patch
5ff321fee690e6a3b48ae41f9860558c bacula-5.2.3-ldflags.patch
fe1fe1df51c3e57343e2e7794447a763 bacula-5.2.3-lib-search-path.patch
ebc9c2bbc9be95c920723a3f142d8e19 configure.in.patch
1bfdbfea7a36d5503753414dffb953eb cxx.patch
cf7a2a4e972697f54364654c4e282b8b os.m4.patch
b84924f161f193d8441316ee4abc3064 fix-headers.patch"
sha256sums="a4bed458bf001889bd06bf31671b5d9908055a1d1e8113fd750ae4d326607ad8 bacula-5.2.13.tar.gz
66faf33d3a638301c89823efb6b4a05c64749a4773941ba386138e55847eacef bacula-fd-init
64124036c19e849cc580b981887be35b5746acb584397190a0afe2797b2d1ace bacula-fd-conf
b38d8419e4a607d3cba201223858e2c8cd4b50040c1ee7c11113d6deb008bd05 bacula-5.0.2-config.patch
632e80a756320419c7cb2f6ff733731408b2f07fbde8cc4e5be78586ba11935e bacula-5.0.2-openssl.patch
a0c22db4653add98e172d248c46232349fc910b5418b99ad896ad7e41917187f bacula-5.0.3-Makefile.patch
466682394aaf5f3a2a86d057da51753085cea12e9e82f67177bf0a95c060401e bacula-5.0.3-sqlite-priv.patch
addf9c8054f505e72e840dc99166ebf5819b2f8c720b8dc1a6bda3fe44ad5c26 bacula-5.2.3-as-needed.patch
d38d2ab752078a20d9e39abc9fefa27678aeb85c0cc4d12fb58447bbe3932b67 bacula-5.2.3-ldflags.patch
d11270bcd68eaafe52184891987b2fa6b5c446e901e0e1d0fdd05a0999b96cfc bacula-5.2.3-lib-search-path.patch
1675604190c796bf79910299ba2cf0a3aec3e07737d7caabf1a041c8706e74d1 configure.in.patch
bb91379d5ef81887c9bd270387c1b204b9f800ce53cb91e767bb39187402d8af cxx.patch
9d676fb2f947d80aff54040df9703d9fdc0904bfbdb40cfab93185e16f78b3aa os.m4.patch
f74d95cd0dab90326e0eeee45b30b4af52d61f9e8a16547ce879533d2e85d460 fix-headers.patch"
sha512sums="dfdff353f5b6ed4d85013dc292526706bbd67066f7057a114012172926c819c8df1eb8779166d5a90db3a49a5584f0a8daf7566cc93cf4fa3f1bdda245b55cf0 bacula-5.2.13.tar.gz
9b2cc49e91ba5129a9ea1a63b8c3006f5df0a0be3196f753c8e1cfba1dfa897c4ac979bb377e49ca19e0299ba8b02047b8af966221e29bcced7ee7c2a3871c31 bacula-fd-init
ff312e8952b31de27f22b257d12b570e151794d985f854ff19bab34363ea974d7583edced6b125518da3ecfe2b2a229b732473958b10484d988fcc8a67a372cc bacula-fd-conf
a40d07883b33a95869f324dd4206cf6b48ebe64824148c55caccb0aafca4543b36bac7da35325f3bd89db966fc22eb50230079c153d2a5b37dd203f9774aaa3d bacula-5.0.2-config.patch
41dd1f3a61d6fa2c612929310221952aef3dbd36ec2a7015abffbcd71a8273cb1d5d206be0a47171a66c813e011bd64ecf8f92acefbc3ce7362098a1361ab1e9 bacula-5.0.2-openssl.patch
b4d21e0ec6d0c3d0027b2125242c4216dc5cd84a144b2d4ee642bae44c920ca433cf21526654d792281bd8c87f1b36442160b89aad4ea97b37aa03462a22869e bacula-5.0.3-Makefile.patch
6fef7572f7f267585ccc71ef7257380622ccadefcdb1e0e6ac2c972e748d4562fab0443a2ad08c20e5d4456326122c5df6728e119dac9b4fefc3b3e50a2fd61d bacula-5.0.3-sqlite-priv.patch
5e303c5c53d6cef8e875d32811d23a9b6f354c394a6dce11646ad3f4c827b03cf1bd3c0267ff8873e1a176eb0b33314b712d8c9dc3c4c4ba24306d80b3bae4c7 bacula-5.2.3-as-needed.patch
27f389af4fb0567a708722ff059fb2bf6779b23e9b716e48b2be3832cf134bd93ac6f80f44f3e63d2737ed25bd2ff08c140dd7a3f2529ecb4dedb58ea7b33aed bacula-5.2.3-ldflags.patch
4140dbbe9a28b58b4982c088bde1a26dffd9652cc7ea6c7a1ff971733b311ec8267b12ce539bc3a8511bfe65625adb73d8f911d09988c1fb1de901c00a682518 bacula-5.2.3-lib-search-path.patch
257370247cd1ef9f6205a9162738d0821d674f469af48f5d560c8d8aa85ee2801aa0eb9b824fb75992f57e7695f0428c3ad0af0deb44e0c8a1d11f771cbe1502 configure.in.patch
727d358f8311dec839440ee9962bdf30bd33f062a15645c7a4f6c73bd5a3654c9c671f870cdcddf8f6d6b9e36516658305ba22a2484ae3437d7347fb3d2383b4 cxx.patch
fe4313625885d1168ad8cc9fa5360c18c8cbff2d26bc8d5deba3e5fa40021a019860a473fef17dc7dfa6bb1a98a477301dbaaf9152b1bcee3382432ca7e8f973 os.m4.patch
215a0b5bc038658ed821a85c6e70df70cb66ca2a970f1e27ae9690c54372410f2d677f1b04b380dfedcff516c96ba91200850917b20454a871a99958d0d24604 fix-headers.patch"
diff -up bacula-5.0.2/bacula-5.0.2/src/dird/bacula-dir.conf.in.config bacula-5.0.2/bacula-5.0.2/src/dird/bacula-dir.conf.in
--- bacula-5.0.2/src/dird/bacula-dir.conf.in.config 2010-06-03 11:05:07.000000000 +0200
+++ bacula-5.0.2/src/dird/bacula-dir.conf.in 2010-06-03 11:28:26.556782993 +0200
@@ -15,7 +15,7 @@
Director { # define myself
Name = bacula-dir
DIRport = @dir_port@ # where we listen for UA connections
- QueryFile = "@scriptdir@/query.sql"
+ QueryFile = "/etc/bacula/query.sql"
WorkingDirectory = "@working_dir@"
PidDirectory = "@piddir@"
Maximum Concurrent Jobs = 1
diff -up bacula-5.0.2/src/lib/crypto.c.openssl bacula-5.0.2/bacula-5.0.2/src/lib/crypto.c
--- bacula-5.0.2/src/lib/crypto.c.openssl 2010-04-27 21:58:29.000000000 +0200
+++ bacula-5.0.2/src/lib/crypto.c 2010-06-01 17:51:52.846894465 +0200
@@ -51,7 +51,7 @@
* For OpenSSL version 1.x, EVP_PKEY_encrypt no longer
* exists. It was not an official API.
*/
-#ifdef HAVE_OPENSSLv1
+#if (OPENSSL_VERSION_NUMBER >= 0x10000000L)
#define EVP_PKEY_encrypt EVP_PKEY_encrypt_old
#define EVP_PKEY_decrypt EVP_PKEY_decrypt_old
#endif
diff -up bacula-5.0.2/bacula-5.0.2/src/lib/tls.c.openssl bacula-5.0.2/bacula-5.0.2/src/lib/tls.c
--- bacula-5.0.2/src/lib/tls.c.openssl 2010-04-27 21:58:29.000000000 +0200
+++ bacula-5.0.2/src/lib/tls.c 2010-06-01 17:52:15.535769446 +0200
@@ -315,7 +315,7 @@ bool tls_postconnect_verify_host(JCR *jc
extname = OBJ_nid2sn(OBJ_obj2nid(X509_EXTENSION_get_object(ext)));
if (strcmp(extname, "subjectAltName") == 0) {
-#ifdef HAVE_OPENSSLv1
+#if (OPENSSL_VERSION_NUMBER >= 0x10000000L)
const X509V3_EXT_METHOD *method;
#else
X509V3_EXT_METHOD *method;
--- ./Makefile.in.orig 2010-07-20 16:53:44.000000000 +0000
+++ ./Makefile.in 2010-07-20 16:55:50.000000000 +0000
@@ -44,9 +44,8 @@
all: Makefile
@for I in ${all_subdirs}; \
- do (cd $$I; echo "==>Entering directory `pwd`"; \
- $(MAKE) DESTDIR=$(DESTDIR) $@ || (echo ""; echo ""; echo " ====== Error in `pwd` ======"; \
- echo ""; echo ""; exit 1;)); \
+ do \
+ $(MAKE) DESTDIR=$(DESTDIR) -C $$I $@ || exit 1; \
done
depend:
@@ -55,9 +54,8 @@
bacula-fd: Makefile
@for I in ${fd_subdirs}; \
- do (cd $$I; echo "==>Entering directory `pwd`"; \
- $(MAKE) DESTDIR=$(DESTDIR) all || (echo ""; echo ""; echo " ====== Error in `pwd` ======"; \
- echo ""; echo ""; exit 1;)); \
+ do \
+ $(MAKE) DESTDIR=$(DESTDIR) -C $$I all || exit 1; \
done
#-------------------------------------------------------------------------
diff --git bacula-5.0.3/src/dird/bacula-dir.conf.in b/bacula-5.0.3/src/dird/bacula-dir.conf.in
index 922be44..54cca3f 100644
--- bacula-5.0.3/src/dird/bacula-dir.conf.in
+++ bacula-5.0.3/src/dird/bacula-dir.conf.in
@@ -273,7 +273,7 @@ Messages {
mailcommand = "@sbindir@/bsmtp -h @smtp_host@ -f \"\(Bacula\) \<%r\>\" -s \"Bacula daemon message\" %r"
mail = @job_email@ = all, !skipped
console = all, !skipped, !saved
- append = "@working_dir@/log" = all, !skipped
+ append = "/var/log/bacula/bacula.log" = all, !skipped
}
# Default pool definition
diff -up src/cats/make_sqlite3_tables.in~ src/cats/make_sqlite3_tables.in
--- ./src/cats/make_sqlite3_tables.in~ 2010-11-16 17:57:12.705837000 +0100
+++ ./src/cats/make_sqlite3_tables.in 2010-11-16 17:57:12.715837000 +0100
@@ -426,4 +426,5 @@ PRAGMA synchronous = NORMAL;
END-OF-DATA
chmod 640 ${db_name}.db
+chown bacula:bacula ${db_name}.db
exit 0
# see bug #310087
diff -urN bacula-5.2.1.orig/src/findlib/Makefile.in bacula-5.2.1/src/findlib/Makefile.in
--- bacula-5.2.1.orig/src/findlib/Makefile.in 2010-02-24 16:33:48.000000000 +0100
+++ bacula-5.2.1/src/findlib/Makefile.in 2010-03-22 17:37:43.772805754 +0100
@@ -59,7 +59,7 @@
libbacfind.la: Makefile $(LIBBACFIND_LOBJS)
@echo "Making $@ ..."
- $(LIBTOOL_LINK) $(CXX) $(DEFS) $(DEBUG) $(LDFLAGS) -o $@ $(LIBBACFIND_LOBJS) -export-dynamic -rpath $(libdir) -release $(LIBBACFIND_LT_RELEASE)
+ $(LIBTOOL_LINK) $(CXX) $(DEFS) $(DEBUG) $(LDFLAGS) -o $@ $(LIBBACFIND_LOBJS) -export-dynamic -rpath $(libdir) -release $(LIBBACFIND_LT_RELEASE) -L../lib -lbac $(LIBS) $(OPENSSL_LIBS)
Makefile: $(srcdir)/Makefile.in $(topdir)/config.status
cd $(topdir) \
# bat needs to respect LDFLAGS
--- a/src/qt-console/bat.pro.in.orig 2010-07-20 18:28:50.000000000 +0000
+++ b/src/qt-console/bat.pro.in 2010-07-20 18:29:25.000000000 +0000
@@ -26,6 +26,7 @@
QMAKE_LINK = $${LIBTOOL_LINK} $(CXX)
QMAKE_INSTALL_PROGRAM = $${LIBTOOL_INSTALL} install -m @SBINPERM@ -p
QMAKE_CLEAN += .libs/* bat
+QMAKE_LFLAGS += @LDFLAGS@
qwt {
INCLUDEPATH += @QWT_INC@
# If upgrading the old libraries gets linked first. So fix order of lib search path.
--- a/src/console/Makefile.in.orig 2010-03-29 11:35:00.000000000 +0000
+++ b/src/console/Makefile.in 2010-03-29 11:45:14.000000000 +0000
@@ -47,7 +47,7 @@
bconsole: Makefile $(CONSOBJS) ../lib/libbac$(DEFAULT_ARCHIVE_TYPE) ../lib/libbaccfg$(DEFAULT_ARCHIVE_TYPE)
- $(LIBTOOL_LINK) $(CXX) $(LDFLAGS) $(CONS_LDFLAGS) -L../lib -L../cats -o $@ $(CONSOBJS) \
+ $(LIBTOOL_LINK) $(CXX) -L../lib -L../cats $(LDFLAGS) $(CONS_LDFLAGS) -o $@ $(CONSOBJS) \
$(DLIB) $(CONS_LIBS) -lbaccfg -lbac -lm $(LIBS) $(GETTEXT_LIBS) \
$(OPENSSL_LIBS)
#!/bin/sh
addgroup -S bacula 2>/dev/null
adduser -S -D -h /var/lib/bacula/ -s /sbin/nologin -G bacula -g bacula bacula 2>/dev/null
exit 0
--- bacula-2.4.3/src/dird/bacula-dir.conf.in.orig 2008-12-10 10:17:27.000000000 -0600
+++ bacula-2.4.3/src/dird/bacula-dir.conf.in 2008-12-10 10:17:27.000000000 -0600
@@ -16 +16 @@
- Name = @basename@-dir
+ Name = bacula-dir
@@ -30 +30 @@
- Client = @basename@-fd
+ Client = bacula-fd
@@ -51 +51 @@
-# Client = @basename@2-fd
+# Client = bacula2-fd
@@ -82 +82 @@
- Client=@basename@-fd
+ Client=bacula-fd
@@ -157,2 +157,2 @@
- Name = @basename@-fd
- Address = @hostname@
+ Name = bacula-fd
+ Address = client.example.com
@@ -172,2 +172,2 @@
-# Name = @basename@2-fd
-# Address = @hostname@2
+# Name = bacula2-fd
+# Address = client2.example.com
@@ -187 +187 @@
- Address = @hostname@ # N.B. Use a fully qualified name here
+ Address = storage.example.com # N.B. Use a fully qualified name here
@@ -200 +200 @@
-# Address = @hostname@ # N.B. Use a fully qualified name here
+# Address = storage.example.com # N.B. Use a fully qualified name here
@@ -212 +212 @@
-# Address = @hostname@ # N.B. Use a fully qualified name here
+# Address = storage.example.com # N.B. Use a fully qualified name here
@@ -223 +223 @@
-# Address = @hostname@ # N.B. Use a fully qualified name here
+# Address = storage.example.com # N.B. Use a fully qualified name here
@@ -299 +299 @@
- Name = @basename@-mon
+ Name = bacula-mon
--- bacula-2.4.3/src/filed/bacula-fd.conf.in.orig 2008-12-10 10:19:12.000000000 -0600
+++ bacula-2.4.3/src/filed/bacula-fd.conf.in 2008-12-10 10:19:12.000000000 -0600
@@ -14 +14 @@
- Name = @basename@-dir
+ Name = bacula-dir
@@ -23 +23 @@
- Name = @basename@-mon
+ Name = bacula-mon
@@ -32 +32 @@
- Name = @basename@-fd
+ Name = bacula-fd
@@ -42 +42 @@
- director = @basename@-dir = all, !skipped, !restored
+ director = bacula-dir = all, !skipped, !restored
--- bacula-2.4.3/src/stored/bacula-sd.conf.in.orig 2008-12-10 10:21:45.000000000 -0600
+++ bacula-2.4.3/src/stored/bacula-sd.conf.in 2008-12-10 10:21:45.000000000 -0600
@@ -14 +14 @@
- Name = @basename@-sd
+ Name = bacula-sd
@@ -25 +25 @@
- Name = @basename@-dir
+ Name = bacula-dir
@@ -34 +34 @@
- Name = @basename@-mon
+ Name = bacula-mon
@@ -228 +228 @@
- director = @basename@-dir = all
+ director = bacula-dir = all
--- bacula-2.4.3/src/wx-console/bwx-console.conf.in.orig 2008-12-10 10:22:23.000000000 -0600
+++ bacula-2.4.3/src/wx-console/bwx-console.conf.in 2008-12-10 10:22:23.000000000 -0600
@@ -6 +6 @@
- Name = @basename@-dir
+ Name = bacula-dir
@@ -8 +8 @@
- address = @hostname@
+ address = server.example.com
--- bacula-2.4.3/src/tray-monitor/tray-monitor.conf.in.orig 2008-12-10 10:28:02.000000000 -0600
+++ bacula-2.4.3/src/tray-monitor/tray-monitor.conf.in 2008-12-10 10:28:02.000000000 -0600
@@ -6 +6 @@
- Name = @basename@-mon
+ Name = bacula-mon
@@ -12,2 +12,2 @@
- Name = @basename@-fd
- Address = @hostname@
+ Name = bacula-fd
+ Address = client.example.com
@@ -19,2 +19,2 @@
- Name = @basename@-sd
- Address = @hostname@
+ Name = bacula-sd
+ Address = storage.example.com
@@ -26 +26 @@
- Name = @basename@-dir
+ Name = bacula-dir
@@ -28 +28 @@
- address = @hostname@
+ Address = director.example.com
--- bacula-2.4.3/src/qt-console/bat.conf.in.orig 2008-12-10 10:27:02.000000000 -0600
+++ bacula-2.4.3/src/qt-console/bat.conf.in 2008-12-10 10:27:02.000000000 -0600
@@ -6 +6 @@
- Name = @basename@-dir
+ Name = bacula-dir
@@ -8 +8 @@
- address = @hostname@
+ address = server.example.com
--- bacula-2.4.3/src/stored/stored.conf.in.orig 2008-12-10 10:27:44.000000000 -0600
+++ bacula-2.4.3/src/stored/stored.conf.in 2008-12-10 10:27:44.000000000 -0600
@@ -11 +11 @@
- Address = @hostname@
+ Address = storage.example.com
@@ -22 +22 @@
- Name = @hostname@-dir
+ Name = bacula-dir
@@ -54 +54 @@
- director = @hostname@-dir = all
+ director = bacula-dir = all
# Config file for /etc/init.d/bacula-fd
# Options for the file daemon.
FD_OPTIONS="-u root -g bacula -c /etc/bacula/bacula-fd.conf"
#!/sbin/runscript
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/www/viewcvs.gentoo.org/raw_cvs/gentoo-x86/app-backup/bacula/files/3.0.3/bacula-fd-init,v 1.1 2009/11/08 17:14:46 wschlich Exp $
depend() {
need net
use dns
}
start() {
ebegin "Starting bacula file daemon"
start-stop-daemon --start --quiet --exec /usr/sbin/bacula-fd \
-- ${FD_OPTIONS}
eend $?
}
stop() {
ebegin "Stopping bacula file daemon"
start-stop-daemon --stop --quiet --pidfile /var/run/bacula-fd.*.pid
eend $?
}
--- bacula-3.0.3-orig/autoconf/configure.in Sun Oct 18 09:10:16 2009
+++ bacula-3.0.3/autoconf/configure.in Wed Dec 2 14:13:44 2009
@@ -2576,6 +2576,20 @@
fi
TAPEDRIVE="/dev/nrmt0"
;;
+alpine)
+ dnl Make sure hostname is resolved
+ ping -c 1 $hostname 2>&1 1>/dev/null
+ if test ! $? = 0; then
+ hostname="localhost"
+ fi
+ if `test -f /etc/alpine-release && grep -q alpine /etc/alpine-release`; then
+ DISTNAME="alpine"
+ fi
+ DISTVER=`cat /etc/alpine-release`
+ TAPEDRIVE="/dev/nst0"
+ PSCMD="ps -e -o pid,comm"
+ largefile_support="yes"
+ ;;
bsdi)
DISTVER=`uname -a |awk '{print $3}'`
TAPEDRIVE="/dev/nrmt0"
--- ./autoconf/configure.in.orig
+++ ./autoconf/configure.in
@@ -92,10 +92,6 @@
AC_DEFINE(HAVE_GCC)
have_gcc=yes
fi
-AC_PATH_PROG(CXX, $CXX, $CXX)
-if test ! -e $CXX; then
- AC_MSG_ERROR(Unable to find C++ compiler)
-fi
dnl -------------------------------------------------------
dnl Check for programs.
--- bacula-5.2.13.orig/src/lib/mntent_cache.c
+++ bacula-5.2.13/src/lib/mntent_cache.c
@@ -62,6 +62,7 @@
#include "mntent_cache.h"
#include <errno.h>
+#include <paths.h>
#include <stdlib.h>
#include <string.h>
#include <sys/types.h>
--- bacula-3.0.3-orig/autoconf/bacula-macros/os.m4 Sun Oct 18 09:10:16 2009
+++ bacula-3.0.3/autoconf/bacula-macros/os.m4 Wed Dec 2 13:48:30 2009
@@ -201,6 +201,9 @@
elif test -f /etc/gentoo-release
then
DISTNAME=gentoo
+elif test -f /etc/alpine-release
+then
+ DISTNAME=alpine
elif test -f /etc/debian_version
then
DISTNAME=debian
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment